Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class Setup

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.Setup

public final class Setup
extends Object

Field Summary
`static DBUser.Row` | `adminUser`
`static DBPrivilege.Row` | `allPrivilege`
`static DBUser.Row` | `anonymousUser`
`static DBApplication.Row` | `appDirApplication`
`static String` | `appDirUrl`
`static DBApplication.Row` | `broadcastNoticesApplication`
`static CDelegate` | `cDelegate`
`static DBApplication.Row` | `changePasswordApplication`
`static DBPrivilege.Row` | `changePrivilege`
`static Connection` | `con`
`static DBApplication.Row` | `createAccountApplication`
`static DBPrivilege.Row` | `createPrivatePrivilege`
`static DBSystem.Row` | `darkLandNode1`
`static DBSystem.Row` | `darkLandNode2`
`static SimpleDateFormat` | `dateFormater`
`static DBAccount` | `dbAccount`
`static DBAppData` | `dbAppData`
`static DBApplication` | `dbApplication`
`static DBAppTable` | `dbAppTable`
`static DBContentIdentifier` | `dbContentIdentifier`
`static DBInbox` | `dbInbox`
`static DBKeyPair` | `dbKeyPair`
`static DBLocalPrivileges` | `dbLocalPrivileges`
`static DBPendingMessage` | `dbPendingMessage`
`static DBPrivilege` | `dbPrivilege`
`static DBProject` | `dbProject`
`static DBRegisterInfo` | `dbRegisterInfo`
`static DBRegisterPending` | `dbRegisterPending`
`static DBRemoteAccount` | `dbRemoteAccount`
`static DBSession` | `dbSession`
`static DBSystem` | `dbSystem`
`static DBUser` | `dbUser`
`static DBUserDelegations` | `dbUserDelegations`
`static DBApplication.Row` | `delegationApplication`
`static DBApplication.Row` | `delegationDisplayApplication`
`static String` | `delegationDisplayUrl`
`static DBApplication.Row` | `deleteRemoteApplication`
`static String` | `dhPublicKey`
`static String` | `dsaPublicKey`
`static DBApplication.Row` | `helloWorldApplication`
`static DBPrivilege.Row` | `homePrivilege`
`static DBSystem.Row` | `homeSystem`
`static DBUser.Row` | `homeUser`
`static DBApplication.Row` | `inboxApplication`
`static DBSystem.Row` | `initialNode`
`static DBSystem.Row` | `localSystem`
`static DBApplication.Row` | `loginApplication`
`static DBPrivilege.Row` | `loginPrivilege`
`static String` | `loginUrl`
`static DBApplication.Row` | `logoutApplication`
`static DBSystem.Row` | `mailSystem`
`static DBAccount.Row` | `nullAccount`
`static DBApplication.Row` | `nullApplication`
`static DBInbox.Row` | `nullInbox`
`static DBKeyPair.Row` | `nullKeyPair`
`static DBLocalPrivileges.Row` | `nullLocalPrivileges`
`static DBPendingMessage.Row` | `nullPendingMessage`
`static DBPrivilege.Row` | `nullPrivilege`
`static DBProject.Row` | `nullProject`
`static DBRemoteAccount.Row` | `nullRemoteAcount`
`static DBSession.Row` | `nullSession`
`static DBSystem.Row` | `nullSystem`
`static DBUser.Row` | `nullUser`
`static DBUserDelegations.Row` | `nullUserDelegations`
`static DBApplication.Row` | `pendingApplication`
`static DBApplication.Row` | `pingApplication`
`static String` | `qareVersion`
`static DBApplication.Row` | `qhomeApplication`
`static SecureRandom` | `random`
`static DBApplication.Row` | `refreshApplication`
`static DBApplication.Row` | `registrationInfoApplication`
`static DBApplication.Row` | `remoteAccountApplication`
`static DBPrivilege.Row` | `remotePrivilege`
`static DBUser.Row` | `remoteUser`
`static Setup` | `setup`
`static DBPrivilege.Row` | `showPrivilege`
`static DBPrivilege.Row` | `superuserPrivilege`
`static DBApplication.Row` | `userGroupsApplication`
`static DBSystem.Row` | `vendorSystem`

Constructor Summary
`Setup()`

Method Summary
`static void` | `displaySQLException(SQLException e)`
`DBSystem.Row` | `getActiveSystem(DBPendingMessage.Systems systems)`
`static void` | `main(String[] args)` Drops the database and then rebuilds it.
`static void` | `mainBackup()`
`static void` | `mainCount()`
`static void` | `mainDrop()`
`static void` | `mainRestore(String bdate)`
`void` | `notifier()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dateFormater

    public static SimpleDateFormat dateFormater

### cDelegate

    public static CDelegate cDelegate

### nullPrivilege

    public static DBPrivilege.Row nullPrivilege

### allPrivilege

    public static DBPrivilege.Row allPrivilege

### superuserPrivilege

    public static DBPrivilege.Row superuserPrivilege

### loginPrivilege

    public static DBPrivilege.Row loginPrivilege

### remotePrivilege

    public static DBPrivilege.Row remotePrivilege

### showPrivilege

    public static DBPrivilege.Row showPrivilege

### createPrivatePrivilege

    public static DBPrivilege.Row createPrivatePrivilege

### homePrivilege

    public static DBPrivilege.Row homePrivilege

### changePrivilege

    public static DBPrivilege.Row changePrivilege

### nullApplication

    public static DBApplication.Row nullApplication

### helloWorldApplication

    public static DBApplication.Row helloWorldApplication

### qhomeApplication

    public static DBApplication.Row qhomeApplication

### remoteAccountApplication

    public static DBApplication.Row remoteAccountApplication

### deleteRemoteApplication

    public static DBApplication.Row deleteRemoteApplication

### delegationApplication

    public static DBApplication.Row delegationApplication

### delegationDisplayApplication

    public static DBApplication.Row delegationDisplayApplication

### appDirApplication

    public static DBApplication.Row appDirApplication

### loginApplication

    public static DBApplication.Row loginApplication

### logoutApplication

    public static DBApplication.Row logoutApplication

### createAccountApplication

    public static DBApplication.Row createAccountApplication

### changePasswordApplication

    public static DBApplication.Row changePasswordApplication

### pingApplication

    public static DBApplication.Row pingApplication

### registrationInfoApplication

    public static DBApplication.Row registrationInfoApplication

### inboxApplication

    public static DBApplication.Row inboxApplication

### pendingApplication

    public static DBApplication.Row pendingApplication

### refreshApplication

    public static DBApplication.Row refreshApplication

### userGroupsApplication

    public static DBApplication.Row userGroupsApplication

### broadcastNoticesApplication

    public static DBApplication.Row broadcastNoticesApplication

### nullSystem

    public static DBSystem.Row nullSystem

### localSystem

    public static DBSystem.Row localSystem

### homeSystem

    public static DBSystem.Row homeSystem

### mailSystem

    public static DBSystem.Row mailSystem

### vendorSystem

    public static DBSystem.Row vendorSystem

### initialNode

    public static DBSystem.Row initialNode

### darkLandNode1

    public static DBSystem.Row darkLandNode1

### darkLandNode2

    public static DBSystem.Row darkLandNode2

### nullUser

    public static DBUser.Row nullUser

### adminUser

    public static DBUser.Row adminUser

### remoteUser

    public static DBUser.Row remoteUser

### anonymousUser

    public static DBUser.Row anonymousUser

### homeUser

    public static DBUser.Row homeUser

### nullProject

    public static DBProject.Row nullProject

### nullAccount

    public static DBAccount.Row nullAccount

### nullInbox

    public static DBInbox.Row nullInbox

### nullLocalPrivileges

    public static DBLocalPrivileges.Row nullLocalPrivileges

### nullPendingMessage

    public static DBPendingMessage.Row nullPendingMessage

### nullRemoteAcount

    public static DBRemoteAccount.Row nullRemoteAcount

### nullSession

    public static DBSession.Row nullSession

### nullUserDelegations

    public static DBUserDelegations.Row nullUserDelegations

### nullKeyPair

    public static DBKeyPair.Row nullKeyPair

### dbAccount

    public static DBAccount dbAccount

### dbApplication

    public static DBApplication dbApplication

### dbInbox

    public static DBInbox dbInbox

### dbLocalPrivileges

    public static DBLocalPrivileges dbLocalPrivileges

### dbPendingMessage

    public static DBPendingMessage dbPendingMessage

### dbPrivilege

    public static DBPrivilege dbPrivilege

### dbProject

    public static DBProject dbProject

### dbRemoteAccount

    public static DBRemoteAccount dbRemoteAccount

### dbSession

    public static DBSession dbSession

### dbSystem

    public static DBSystem dbSystem

### dbUser

    public static DBUser dbUser

### dbUserDelegations

    public static DBUserDelegations dbUserDelegations

### dbAppData

    public static DBAppData dbAppData

### dbAppTable

    public static DBAppTable dbAppTable

### dbRegisterInfo

    public static DBRegisterInfo dbRegisterInfo

### dbRegisterPending

    public static DBRegisterPending dbRegisterPending

### dbContentIdentifier

    public static DBContentIdentifier dbContentIdentifier

### dbKeyPair

    public static DBKeyPair dbKeyPair

### con

    public static Connection con

### setup

    public static Setup setup

### appDirUrl

    public static String appDirUrl

### loginUrl

    public static String loginUrl

### delegationDisplayUrl

    public static String delegationDisplayUrl

### random

    public static SecureRandom random

### dhPublicKey

    public static String dhPublicKey

### dsaPublicKey

    public static String dsaPublicKey

### qareVersion

    public static String qareVersion

Constructor Detail

### Setup

    public Setup()

Method Detail

### main

    public static final void main(String[] args)
                           throws Exception

  Drops the database and then rebuilds it.

### mainBackup

    public static final void mainBackup()
                                 throws Exception

### mainRestore

    public static final void mainRestore(String bdate)
                                  throws Exception

### mainDrop

    public static final void mainDrop()

### mainCount

    public static final void mainCount()

### displaySQLException

    public static final void displaySQLException(SQLException e)

### notifier

    public void notifier()

### getActiveSystem

    public DBSystem.Row getActiveSystem(DBPendingMessage.Systems systems)
                                 throws Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD